Skip to main content
GET
/
management
/
webhooks
/
{id}
Get a webhook
curl --request GET \
  --url https://app.formbricks.com/api/v2/management/webhooks/{id} \
  --header 'x-api-key: <api-key>'
import requests

url = "https://app.formbricks.com/api/v2/management/webhooks/{id}"

headers = {"x-api-key": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};

fetch('https://app.formbricks.com/api/v2/management/webhooks/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": "<string>",
  "name": "<string>",
  "createdAt": "2021-01-01T00:00:00.000Z",
  "updatedAt": "2021-01-01T00:00:00.000Z",
  "url": "<string>",
  "workspaceId": "<string>",
  "environmentId": "<string>",
  "triggers": [],
  "surveyIds": [
    "<string>"
  ]
}

Authorizations

x-api-key
string
header
required

Use your Formbricks x-api-key to authenticate.

Path Parameters

id
string
required

The ID of the webhook

Response

200 - application/json

Webhook retrieved successfully.

id
string

The ID of the webhook

name
string | null

The name of the webhook

createdAt
string

The date and time the webhook was created

Example:

"2021-01-01T00:00:00.000Z"

updatedAt
string

The date and time the webhook was last updated

Example:

"2021-01-01T00:00:00.000Z"

url
string<uri>

The URL of the webhook

source
enum<string>

The source of the webhook

Available options:
user,
zapier,
make,
n8n
workspaceId
string

The ID of the Workspace

environmentId
string
deprecated

Deprecated alias for workspaceId.

triggers
enum<string>[]

The triggers of the webhook

Minimum array length: 1
Available options:
responseFinished,
responseCreated,
responseUpdated
surveyIds
string[]

The IDs of the surveys